Subject: [sipcore] Misalignments between the P- header definitions in RFC 3455, RFC 7315 and 3GPP TS 24.229: P-Associated-URI

From: Christer Holmberg <[email-masked]>
Date: Thu, 3 Dec 2015 11:39:44 +0000

Hi,

3GPP has been studying possible misalignments between the P- header definitions in RFC 3455, RFC 7315 and 3GPP TS 24.229.

Rather than posting all the issues in a single e-mail, I will send e-mails per header field. This e-mail is about P-Associated-URI, where one issue was identified.

Issue 1)             RFC 7315 allows PUI in requests and responses.

RFC 3455 and 3GPP TS 24.229 only allows PUI in responses. However, RFC 7315 seems to allow PUI also in requests.

Chapters 4.1, 4.1.2 , 4.1.2.1 and 4.1.2.2 of RFC 7315 imply that PUI is only allowed in responses:

However, chapter 5.7 says:

               "The P-Associated-URI header field can appear in SIP REGISTER method
               and 2xx responses."

I assume this is just a bug in section 5.7, which could be fixed with an errata:

OLD TEXT:

               "The P-Associated-URI header field can appear in SIP REGISTER method
               and 2xx responses."

NEW TEXT:

               "The P-Associated-URI header field can appear in SIP REGISTER 2xx responses."

Regards,

Christer